Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc.ee
Class JDOConnectionRequestInfo

    java.lang.Object
      |
      +--com.solarmetric.kodo.impl.jdbc.ee.JDOConnectionRequestInfo

All Implemented Interfaces:
  javax.resource.spi.ConnectionRequestInfo

public class JDOConnectionRequestInfo
extends Object
implements javax.resource.spi.ConnectionRequestInfo

The ConnectionRequestInfo interface enables a resource adapter to pass its own request specific data structure across the connection request flow. A resource adapter extends the empty interface to supports its own data structures for connection request.

Constructor Summary
`JDOConnectionRequestInfo(javax.resource.cci.ConnectionSpec connectionSpec)`

Method Summary
`boolean` | `equals(Object other)`
`String` | `getPassword()`
`String` | `getUserName()`
`int` | `hashCode()`
`void` | `setPassword(String password)`
`void` | `setUserName(String username)`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOConnectionRequestInfo

    public JDOConnectionRequestInfo(javax.resource.cci.ConnectionSpec connectionSpec)

Method Detail

### setUserName

    public void setUserName(String username)

### getUserName

    public String getUserName()

### setPassword

    public void setPassword(String password)

### getPassword

    public String getPassword()

### equals

    public boolean equals(Object other)

  Specified by:
    `equals` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `javax.resource.spi.ConnectionRequestInfo`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.